Page MenuHomePhabricator | MITK

mitkNavigationToolStorageDeserializer.cpp writes to mitk::IOUtil::GetProgramPath()
Closed, ResolvedPublic

Description

This means that if you create an installer, that installs your application to C:/Program Files, where non-admin users will not have write permission, then you cannot create tool storage files.

I'm using an MITK derived from 2015.05.2, but its still present in master today.

I also mentioned previouslt:
https://github.com/MITK/MITK/blob/master/Modules/IGT/IO/mitkNavigationToolStorageSerializer.cpp#L37

and this commit:
https://phabricator.mitk.org/rMITK24a5dd89fb30d4a5ab22c1c42cfb1b283cbd3f00

but I don't know why these commits are not available on MITK master.

Thanks

Event Timeline

clarkson updated the task description. (Show Details)
kislinsk triaged this task as High priority.May 15 2017, 10:58 AM
kislinsk added subscribers: franza, eisenman, seitela, rosst.
franza moved this task from Backlog to Deferred on the IGT board.Jan 8 2018, 4:55 PM
franza moved this task from Deferred to Backlog on the IGT board.
seitela moved this task from Backlog to 2018 - Release relevant on the IGT board.Jan 29 2018, 9:10 AM
seitela claimed this task.
seitela moved this task from In Progress to Finished on the IGT board.Jan 30 2018, 10:24 AM
seitela closed this task as Resolved.Apr 20 2018, 8:30 AM